//  Complex Tutorial Skin - anim.m MAKI file
//  Created by Ken Chen for the official Winamp3 skinning site. 

//  #include Section
#include "../../../lib/std.mi"
#include "../../../lib/config.mi"
#include "../../../lib/pldir.mi"

//  Variable Declaration Section
function move_arrow();

global String status_arrow;
global AnimatedLayer arrow;

//  System.onScriptUnloading() Section
System.onScriptUnloading(){
}

//  System.onScriptLoaded() Section
System.onScriptLoaded(){
	group arrowAnim = getScriptGroup();
	arrow = arrowAnim.findobject("arrow");	
	status_arrow = "down";
	move_arrow();
}

//  Your own functions
move_arrow(){
	if (status_arrow == "down")
	{
	  status_arrow = "right";
	  arrow.setTargetX(211);
	  arrow.setTargetY(80);
	  arrow.setTargetSpeed(1.5);
	  arrow.gototarget();
	}
}

arrow.ontargetreached(){
	if (status_arrow == "down")
	{
	  status_arrow = "right";
	  arrow.setStartFrame(0);
	  arrow.setEndFrame(0);
	  arrow.setSpeed(0);
	  arrow.setAutoReplay(0);
	  arrow.play();
	  arrow.setTargetX(211);
	  arrow.setTargetY(80);
	  arrow.setTargetSpeed(1.5);
	  arrow.gototarget();
	}
	else if (status_arrow == "right")
	{
	  status_arrow = "up";
	  arrow.setStartFrame(0);
	  arrow.setEndFrame(1);
	  arrow.setSpeed(0);
	  arrow.setAutoReplay(0);
	  arrow.play();
	  arrow.setTargetX(241);
	  arrow.setTargetY(80);
	  arrow.setTargetSpeed(1.5);
	  arrow.gototarget();
	}
	else if (status_arrow == "up")
	{
	  status_arrow = "left";
	  arrow.setStartFrame(1);
	  arrow.setEndFrame(2);
	  arrow.setSpeed(0);
	  arrow.setAutoReplay(0);
	  arrow.play();
	  arrow.setTargetX(241);
	  arrow.setTargetY(40);
	  arrow.setTargetSpeed(1.5);
	  arrow.gototarget();
	}
	else if (status_arrow == "left")
	{
	  status_arrow = "down";
	  arrow.setStartFrame(2);
	  arrow.setEndFrame(3);
	  arrow.setSpeed(0);
	  arrow.setAutoReplay(0);
	  arrow.play();
	  arrow.setTargetX(211);
	  arrow.setTargetY(40);
	  arrow.setTargetSpeed(1.5);
	  arrow.gototarget();
	}
}